# Uses of Class
org.apache.sling.repoinit.parser.operations.SetAclPrincipalBased

Packages that use SetAclPrincipalBased
Package
Description
org.apache.sling.repoinit.parser.operations
Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.

## Uses of SetAclPrincipalBased in org.apache.sling.repoinit.parser.operations

Methods in org.apache.sling.repoinit.parser.operations with parameters of type SetAclPrincipalBased
Modifier and Type
Method
Description
`void`
OperationVisitor.`visitSetAclPrincipalBased(SetAclPrincipalBased s)`
Deprecated.
new statement calls `OperationVisitor.visitEnsureAclPrincipalBased(EnsureAclPrincipalBased)`